{
  "hsm": {
    "id": "hsm1",
    "path": "./HSMy/sofhsm/sofhsm.json"
  },
  "certificates": [
    {
      "id": "r0",
      "name": "CCPP Root",
      "type": "root",
      "origin": "r0",
      "pin" : "123456",
      "subject": "cn=CCPP Root,ou=ONB,o=NASK PIB,c=pl",
      "serialNumber": "1001",
      "validationPeriod": 3653,
      "key": {
        "type": "RSA",
        "size": 4096
      },
      "extensions": {
        "isCa": true,
        "keyUsage": "CrlSign|DigitalSignature|KeyCertSign|NonRepudiation",
        "extendedKeyUsage": "OcspSigning|TimeStamping",
        "subjectAlternativeName": "cn=CCPP Root,ou=ONB,o=NASK PIB,c=pl",
        "crlDistributionPoint": "https://ccpp.nask.pl/root.crl"
      }
    },
    {
      "id": "i111",
      "name": "CCPP PP",
      "type": "intermediate",
      "origin": "r0",
      "pin" : "123456",
      "subject": "cn=CCPP Podmioty Publiczne,ou=ONB,o=NASK PIB,c=pl",
      "serialNumber": "100011",
      "validationPeriod": 3653,
      "key": {
        "type": "RSA",
        "size": 4096
      },
      "extensions": {
        "isCa": true,
        "keyUsage": "CrlSign|DigitalSignature|KeyCertSign|NonRepudiation",
        "extendedKeyUsage": "OcspSigning|TimeStamping",
        "subjectAlternativeName": "cn=CCPP Podmioty Publiczne,ou=ONB,o=NASK PIB,c=pl",
        "crlDistributionPoint": "https://ccpp.nask.pl/pp.crl"
      }
    },
    {
      "id": "i112",
      "name": "CCPP PA",
      "type": "intermediate",
      "origin": "r0",
      "pin" : "123456",
      "subject": "cn=CCPP Podpis Administracyjny,ou=ONB,o=NASK PIB,c=pl",
      "serialNumber": "100012",
      "validationPeriod": 3653,
      "key": {
        "type": "RSA",
        "size": 4096
      },
      "extensions": {
        "isCa": true,
        "keyUsage": "CrlSign|DigitalSignature|KeyCertSign|NonRepudiation",
        "extendedKeyUsage": "OcspSigning|TimeStamping",
        "subjectAlternativeName": "cn=CCPP Podpis Administracyjny,ou=ONB,o=NASK PIB,c=pl",
        "crlDistributionPoint": "https://ccpp.nask.pl/pa.crl"
      }
    },
    {
      "id": "eSeal1",
      "name": "TEST SEAL",
      "type": "leaf",
      "origin": "i112",
      "pin" : "123456",
      "subject": "cn=Pieczęć testowa DEV,ou=ONB,o=NASK PIB,c=pl",
      "serialNumber": "1000112",
      "validationPeriod": 365,
      "key": {
        "type": "RSA",
        "size": 4096
      },
      "extensions": {
        "isCa": false,
        "keyUsage": "DigitalSignature|NonRepudiation",
        "extendedKeyUsage": "ClientAuth",
        "subjectAlternativeName": "cn=Pieczęć testowa DEV,ou=ONB,o=NASK PIB,c=pl",
        "crlDistributionPoint": "https://ccpp.nask.pl/pa.crl"
      }
    }
  ]
}